raster legend in map composer

2006-04-03 09:56 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Rasters

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 10106

Description

The map composer misses a raster legend.

History

#1 - 2007-11-22 06:11 AM - leo-lami -

We need a continuos (rx. for dtm raster) or category value legend (best if it is possible choise it) about all the raster load in the map canvas,

Ask me if you need same other information.

#2 - 2008-07-14 02:23 AM - Tim Sutton

On second thoughts this is probably handled using the enhancement type and not a fake milestone. Returning to 1.0.1 milestone, please ignore last

milestone change. Also changed assigned to tim since Radim is no longer active in QGIS.

#3 - 2008-08-26 12:22 AM - Marco Hugentobler

I think that this is now more a raster problem than a composer problem. The composer now shows the raster icon from the legend. Once the raster layer

provides a detailed raster legend (e.g. classification values), composer can also do so.

#4 - 2008-09-05 02:41 PM - ersts -

This actually is already possible

For Paletted, Pseudo and Freakout it would looks something like this, get the current shader (only one per raster layer)

*myRasterShader = [[RasterLayer]]->getRasterShader()

loop through all values you want to show in the legend

for(int runner = [[RasterLayer]]->getMinimumValue(band a); runner <= [[RasterLayer]]->getMaximumValue(band a); runner++){

   if(myRasterShader->generateShadedValue((double)runner, &red, &green, &blue)   {

     //set the color of your object

     color_my_legend_item(new QColor(red, green, blue))

   }

}

#5 - 2008-09-05 08:38 PM - Paolo Cavallini

Then would it be fasible adding it as a last minute 1.0 feature? It would be great to have it
#6 - 2008-10-02 07:09 AM - aprasad -

Please implement raster legend display (so that you can define custom breaks of cell values and view them in the colors you want - like is available in

[[ArcView]] 3.x) - I feel qGIS will not impresss new users if it does not have this basic functionality in place.

#7 - 2011-06-25 02:41 AM - Paolo Cavallini

- Resolution set to fixed

Thanks Marco

#8 - 2011-06-25 02:43 AM - Paolo Cavallini

- Status changed from Open to Resolved

#9 - 2011-09-30 05:19 AM - Anita Graser

- Pull Request or Patch supplied set to No

- Status changed from Resolved to Closed
